import pandas as pd

# 假设你有一个要合并的文件名列表
file_names_to_merge = ['books_01.csv', 'books_02.csv', 'books_03.csv']  # 修改为你想要合并的文件名列表

# 创建一个空的DataFrame用于保存合并的数据
merged_df = pd.DataFrame()

for file in file_names_to_merge:
    # 读取csv文件
    df = pd.read_csv(file)
    # 将读取的数据添加到merged_df DataFrame中
    merged_df = pd.concat([merged_df, df])

# 将合并后的数据保存到新的csv文件中
merged_df.to_csv('merged_result.csv', index=False)
