import csv

# 读取第一个CSV文件
with open(r'D:\晋江数据采集\books_01.csv_sorted.csv', 'r', encoding='utf-8') as file1:
    reader1 = csv.reader(file1)
    data1 = {row[0]: row for row in reader1}

# 读取第二个CSV文件
with open(r'D:\晋江数据采集\books_02.csv_sorted.csv', 'r', encoding='utf-8') as file2:
    reader2 = csv.reader(file2)
    data2 = {row[0]: row for row in reader2}

# 比较排名的变化并计算差值
changes = []
for book, info in data1.items():
    if book in data2:
        info2 = data2[book]
        if info[11] != info2[11]:
            # 将字符串转换为整数后再进行减法运算
            rank_diff = int(info2[11]) - int(info[11])
            changes.append((book, info[11], info2[11], rank_diff))  # 添加排名的差值

# 统计排名改变的书的数量并打印信息
changed_count = len(changes)
print(f"共有 {changed_count} 本书的排名发生了变化。")
for book, old_rank, new_rank, rank_diff in changes:
    print(f'{book}: 原来的排名是 {old_rank}, 新的排名是 {new_rank}, 排名差值：{rank_diff}')